%if 0%{?fedora}%{?rhel} <= 6
    %global scl ruby193
    %global scl_prefix ruby193-
%endif
Summary:       Utility scripts for the OpenShift Origin broker and node
Name:          openshift-origin-util-scl
Version: 1.17.2.4
Release:       1%{?dist}
Group:         Network/Daemons
License:       ASL 2.0
URL:           http://www.openshift.com
Source0:       http://mirror.openshift.com/pub/openshift-origin/source/%{name}/%{name}-%{version}.tar.gz
# The SCL 1.1 moved the v8 library from ruby193 to it's own collection.  This
# version of ruby shipped with RHSCL 1.1 and will help prevent an installation
# from updating into a broken environment.
Requires:      %{?scl:%scl_prefix}ruby >= 1.9.3.484-49
BuildArch:     noarch

%description
This package contains a set of utility scripts for the broker and node. 

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_bindir}
cp oo-* %{buildroot}%{_bindir}/

%files
%attr(0755,-,-) %{_bindir}/oo-ruby
%attr(0755,-,-) %{_bindir}/oo-erb
%attr(0755,-,-) %{_bindir}/oo-exec-ruby
%attr(0755,-,-) %{_bindir}/oo-mco


%changelog
* Tue Sep 09 2014 Luke Meyer <lmeyer@redhat.com> 1.17.2.4-1
- util-scl/oo-mco: Added error message when scl mco does not exist.
  (tiwillia@redhat.com)

* Thu May 22 2014 Brenton Leanhardt <bleanhar@redhat.com> 1.17.2.3-1
- Bug 1100427 - fixing the util-scl spec (bleanhar@redhat.com)

* Thu May 22 2014 Brenton Leanhardt <bleanhar@redhat.com> 1.17.2.2-1
- Bug 1100427 - Prevent OSE 2.1.1 from being installed without RHSCL 1.1
  (bleanhar@redhat.com)

* Mon May 19 2014 dobbymoodge <jolamb@redhat.com> 1.17.2.1-1
- SCL v8 collection changes (jdetiber@redhat.com)

* Thu Feb 27 2014 Adam Miller <admiller@redhat.com> 1.17.1-1
- Merge pull request #4742 from Miciah/bug-1017248-oo-ruby-does-not-set-up-the-
  correct-environment-in-a-nested-invocation (dmcphers+openshiftbot@redhat.com)
- oo-exec-ruby: Set PATH &c. directly, not using scl (miciah.masters@gmail.com)
- bump_minor_versions for sprint 41 (admiller@redhat.com)

* Mon Feb 10 2014 Adam Miller <admiller@redhat.com> 1.16.2-1
- Cleaning specs (dmcphers@redhat.com)

* Mon Oct 21 2013 Adam Miller <admiller@redhat.com> 1.16.1-1
- bump_minor_versions for sprint 35 (admiller@redhat.com)
